Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 5853 - Portage 2.0.23 will CRASH your system
Summary: Portage 2.0.23 will CRASH your system
Status: VERIFIED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Unclassified (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Kevyn Shortell (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-01 06:57 UTC by Doug Goldstein
Modified: 2011-10-30 22:22 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Goldstein gentoo-dev 2002-08-01 06:57:51 UTC
I ran emerge -s xine in 1 console and emerge -c in another... mouse became 
unresponsive.. typing became unresponsive.. not even Ctrl-C worked. 5 min 
after this... system locked up and crashed..
Comment 1 Stuart Bouyer (RETIRED) gentoo-dev 2002-08-01 19:58:58 UTC
While emerging XFree, any attempt to use emerge -s in another xterm caused the
system to hang with 100% cpu and memory use started going through the roof. Was
able to kill the second emerge (emerge -s mutt) and system resources dropped
back to normal.

Using portage-2.0.23, and if it helps emerge -s mutt was still in the
dependancies  checking stage.
Comment 2 Jon Nelson (RETIRED) 2002-08-01 20:54:01 UTC
Me too.
More than 1 emerges cause an endless loop, and an strace has this illuminating data:

read(3, "Sandbox error : the SANDBOX_DENY environmental variable should be
defined.\n", 4096) 
= 75
read(3, "Sandbox error : the SANDBOX_PREDICT environmental variable should be
defined.\n", 409
6) = 78
read(3, "\33[31;01mACCESS DENIED\33[0m  open_rd: 
/home/jnelson/gentoo-x86/dev-python/snmpy/s
nmpy-1.0_alpha4.ebuild\n", 4096) = 104
read(3, "Sandbox error : the SANDBOX_DENY environmental variable should be
defined.\n", 4096) = 75
read(3, "Sandbox error : the SANDBOX_PREDICT environmental variable should be
defined.\n", 4096) = 78

which goes on forever, sucking up all kinds of memory and eventually killing the
systems.

Comment 3 Dan Armak (RETIRED) gentoo-dev 2002-08-02 05:04:24 UTC
ditto here. 
Comment 4 Dan Armak (RETIRED) gentoo-dev 2002-08-02 05:05:46 UTC
ditto here. 
Comment 5 Doug Goldstein gentoo-dev 2002-08-04 05:22:48 UTC
Apparently Azarah has a fix for this and drobbins knows about it...
Comment 6 Daniel Robbins (RETIRED) gentoo-dev 2002-08-04 21:20:00 UTC
fix in 2.0.24
Comment 7 Kevyn Shortell (RETIRED) gentoo-dev 2002-08-27 01:35:51 UTC
Cardoe can you verify this as fixed? I do not have a x86 box to test on.
Comment 8 Dan Armak (RETIRED) gentoo-dev 2002-08-30 03:47:36 UTC
Seems fixed here, hasn't happened since around .24. 
Comment 9 Doug Goldstein gentoo-dev 2002-09-01 06:15:44 UTC
Been working fine since .24... left you a msg on IRC to close this bug a couple
of times.
Comment 10 Doug Goldstein gentoo-dev 2002-09-11 02:47:02 UTC
Trance... This works! (read previous comment) close this out!
Comment 11 Kevyn Shortell (RETIRED) gentoo-dev 2002-09-11 03:16:18 UTC
Per Cardoe, Fixed